# azure.mgmt.hdinsight.models module

exception `azure.mgmt.hdinsight.models.``ErrorResponseException`(deserialize, response, *args)

  Bases: `msrest.exceptions.HttpOperationError`

  Server responsed with exception of type: ‘ErrorResponse’.

  Parameters:

  - deserialize – A deserializer
  - response – Server response to be deserialized.

class `azure.mgmt.hdinsight.models.``Application`(*, etag: str = None, tags=None, properties=None, **kwargs)

  Bases: `azure.mgmt.hdinsight.models._models_py3.ProxyResource`

  The HDInsight cluster application.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource.
  - name (str) – The name of the resource
  - type (str) – The type of the resource.

  Parameters:

  - etag (str) – The ETag for the application
  - tags (dict[str, str]) – The tags for the application.
  - properties (ApplicationProperties) – The properties of the application.

class `azure.mgmt.hdinsight.models.``ApplicationGetEndpoint`(*, location: str = None, destination_port: int = None, public_port: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Gets the application SSH endpoint.

  Parameters:

  - location (str) – The location of the endpoint.
  - destination_port (int) – The destination port to connect to.
  - public_port (int) – The public port to connect to.

class `azure.mgmt.hdinsight.models.``ApplicationGetHttpsEndpoint`(*, access_modes=None, location: str = None, destination_port: int = None, public_port: int = None, sub_domain_suffix: str = None, disable_gateway_auth: bool = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Gets the application HTTP endpoints.

  Parameters:

  - access_modes (list[str]) – The list of access modes for the application.
  - location (str) – The location of the endpoint.
  - destination_port (int) – The destination port to connect to.
  - public_port (int) – The public port to connect to.
  - sub_domain_suffix (str) – The subdomain suffix of the application.
  - disable_gateway_auth (bool) – The value indicates whether to disable GatewayAuth.

class `azure.mgmt.hdinsight.models.``ApplicationProperties`(*, compute_profile=None, install_script_actions=None, uninstall_script_actions=None, https_endpoints=None, ssh_endpoints=None, application_type: str = None, errors=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The HDInsight cluster application GET response.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - compute_profile (ComputeProfile) – The list of roles in the cluster.
  - install_script_actions (list[RuntimeScriptAction]) – The list of install script actions.
  - uninstall_script_actions (list[RuntimeScriptAction]) – The list of uninstall script actions.
  - https_endpoints (list[ApplicationGetHttpsEndpoint]) – The list of application HTTPS endpoints.
  - ssh_endpoints (list[ApplicationGetEndpoint]) – The list of application SSH endpoints.
  - application_type (str) – The application type.
  - errors (list[Errors]) – The list of errors.

  Variables:

  - provisioning_state (str) – The provisioning state of the application.
  - application_state (str) – The application state.
  - created_date (str) – The application create date time.
  - marketplace_identifier (str) – The marketplace identifier.

class `azure.mgmt.hdinsight.models.``Autoscale`(*, capacity=None, recurrence=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The autoscale request parameters.

  Parameters:

  - capacity (AutoscaleCapacity) – Parameters for load-based autoscale
  - recurrence (AutoscaleRecurrence) – Parameters for schedule-based autoscale

class `azure.mgmt.hdinsight.models.``AutoscaleCapacity`(*, min_instance_count: int = None, max_instance_count: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The load-based autoscale request parameters.

  Parameters:

  - min_instance_count (int) – The minimum instance count of the cluster
  - max_instance_count (int) – The maximum instance count of the cluster

class `azure.mgmt.hdinsight.models.``AutoscaleRecurrence`(*, time_zone: str = None, schedule=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Schedule-based autoscale request parameters.

  Parameters:

  - time_zone (str) – The time zone for the autoscale schedule times
  - schedule (list[AutoscaleSchedule]) – Array of schedule-based autoscale rules

class `azure.mgmt.hdinsight.models.``AutoscaleSchedule`(*, days=None, time_and_capacity=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters for a schedule-based autoscale rule, consisting of an array of days + a time and capacity.

  Parameters:

  - days (list[str or DaysOfWeek]) – Days of the week for a schedule-based autoscale rule
  - time_and_capacity (AutoscaleTimeAndCapacity) – Time and capacity for a schedule-based autoscale rule

class `azure.mgmt.hdinsight.models.``AutoscaleTimeAndCapacity`(*, time: str = None, min_instance_count: int = None, max_instance_count: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Time and capacity request parameters.

  Parameters:

  - time (str) – 24-hour time in the form xx:xx
  - min_instance_count (int) – The minimum instance count of the cluster
  - max_instance_count (int) – The maximum instance count of the cluster

class `azure.mgmt.hdinsight.models.``BillingMeters`(*, meter_parameter: str = None, meter: str = None, unit: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The billing meters.

  Parameters:

  - meter_parameter (str) – The virtual machine sizes.
  - meter (str) – The HDInsight meter guid.
  - unit (str) – The unit of meter, VMHours or CoreHours.

class `azure.mgmt.hdinsight.models.``BillingResources`(*, region: str = None, billing_meters=None, disk_billing_meters=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The billing resources.

  Parameters:

  - region (str) – The region or location.
  - billing_meters (list[BillingMeters]) – The billing meter information.
  - disk_billing_meters (list[DiskBillingMeters]) – The managed disk billing information.

class `azure.mgmt.hdinsight.models.``BillingResponseListResult`(*, vm_sizes=None, vm_size_filters=None, billing_resources=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The response for the operation to get regional billingSpecs for a subscription.

  Parameters:

  - vm_sizes (list[str]) – The virtual machine sizes to include or exclude.
  - vm_size_filters (list[VmSizeCompatibilityFilterV2]) – The virtual machine filtering mode. Effectively this can enabling or disabling the virtual machine sizes in a particular set.
  - billing_resources (list[BillingResources]) – The billing and managed disk billing resources for a region.

class `azure.mgmt.hdinsight.models.``CapabilitiesResult`(*, versions=None, regions=None, vm_sizes=None, vm_size_filters=None, features=None, quota=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The Get Capabilities operation response.

  Parameters:

  - versions (dict[str, VersionsCapability]) – The version capability.
  - regions (dict[str, RegionsCapability]) – The virtual machine size compatibility features.
  - vm_sizes (dict[str, VmSizesCapability]) – The virtual machine sizes.
  - vm_size_filters (list[VmSizeCompatibilityFilter]) – The virtual machine size compatibility filters.
  - features (list[str]) – The capability features.
  - quota (QuotaCapability) – The quota capability.

class `azure.mgmt.hdinsight.models.``ClientGroupInfo`(*, group_name: str = None, group_id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The information of AAD security group.

  Parameters:

  - group_name (str) – The AAD security group name.
  - group_id (str) – The AAD security group id.

class `azure.mgmt.hdinsight.models.``Cluster`(*, location: str = None, tags=None, etag: str = None, properties=None, identity=None, **kwargs)

  Bases: `azure.mgmt.hdinsight.models._models_py3.TrackedResource`

  The HDInsight cluster.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource.
  - name (str) – The name of the resource
  - type (str) – The type of the resource.

  Parameters:

  - location (str) – The Azure Region where the resource lives
  - tags (dict[str, str]) – Resource tags.
  - etag (str) – The ETag for the resource
  - properties (ClusterGetProperties) – The properties of the cluster.
  - identity (ClusterIdentity) – The identity of the cluster, if configured.

class `azure.mgmt.hdinsight.models.``ClusterConfigurations`(*, configurations=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The configuration object for the specified cluster.

  Parameters: | configurations (dict[str, dict[str, str]]) – The configuration object for the specified configuration for the specified cluster.

class `azure.mgmt.hdinsight.models.``ClusterCreateParametersExtended`(*, location: str = None, tags=None, properties=None, identity=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The CreateCluster request parameters.

  Parameters:

  - location (str) – The location of the cluster.
  - tags (dict[str, str]) – The resource tags.
  - properties (ClusterCreateProperties) – The cluster create parameters.
  - identity (ClusterIdentity) – The identity of the cluster, if configured.

class `azure.mgmt.hdinsight.models.``ClusterCreateProperties`(*, cluster_version: str = None, os_type=None, tier=None, cluster_definition=None, kafka_rest_properties=None, security_profile=None, compute_profile=None, storage_profile=None, disk_encryption_properties=None, min_supported_tls_version: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The cluster create parameters.

  Parameters:

  - cluster_version (str) – The version of the cluster.
  - os_type (str or OSType) – The type of operating system. Possible values include: ‘Windows’, ‘Linux’
  - tier (str or Tier) – The cluster tier. Possible values include: ‘Standard’, ‘Premium’
  - cluster_definition (ClusterDefinition) – The cluster definition.
  - kafka_rest_properties (KafkaRestProperties) – The cluster kafka rest proxy configuration.
  - security_profile (SecurityProfile) – The security profile.
  - compute_profile (ComputeProfile) – The compute profile.
  - storage_profile (StorageProfile) – The storage profile.
  - disk_encryption_properties (DiskEncryptionProperties) – The disk encryption properties.
  - min_supported_tls_version (str) – The minimal supported tls version.

class `azure.mgmt.hdinsight.models.``ClusterDefinition`(*, blueprint: str = None, kind: str = None, component_version=None, configurations=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The cluster definition.

  Parameters:

  - blueprint (str) – The link to the blueprint.
  - kind (str) – The type of cluster.
  - component_version (dict[str, str]) – The versions of different services in the cluster.
  - configurations (object) – The cluster configurations.

class `azure.mgmt.hdinsight.models.``ClusterDiskEncryptionParameters`(*, vault_uri: str = None, key_name: str = None, key_version: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The Disk Encryption Cluster request parameters.

  Parameters:

  - vault_uri (str) – Base key vault URI where the customers key is located eg. https://myvault.vault.azure.net
  - key_name (str) – Key name that is used for enabling disk encryption.
  - key_version (str) – Specific key version that is used for enabling disk encryption.

class `azure.mgmt.hdinsight.models.``ClusterGetProperties`(*, cluster_definition, cluster_version: str = None, os_type=None, tier=None, kafka_rest_properties=None, security_profile=None, compute_profile=None, provisioning_state=None, created_date: str = None, cluster_state: str = None, quota_info=None, errors=None, connectivity_endpoints=None, disk_encryption_properties=None, min_supported_tls_version: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The properties of cluster.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - cluster_version (str) – The version of the cluster.
  - os_type (str or OSType) – The type of operating system. Possible values include: ‘Windows’, ‘Linux’
  - tier (str or Tier) – The cluster tier. Possible values include: ‘Standard’, ‘Premium’
  - cluster_definition (ClusterDefinition) – Required. The cluster definition.
  - kafka_rest_properties (KafkaRestProperties) – The cluster kafka rest proxy configuration.
  - security_profile (SecurityProfile) – The security profile.
  - compute_profile (ComputeProfile) – The compute profile.
  - provisioning_state (str or HDInsightClusterProvisioningState) – The provisioning state, which only appears in the response. Possible values include: ‘InProgress’, ‘Failed’, ‘Succeeded’, ‘Canceled’, ‘Deleting’
  - created_date (str) – The date on which the cluster was created.
  - cluster_state (str) – The state of the cluster.
  - quota_info (QuotaInfo) – The quota information.
  - errors (list[Errors]) – The list of errors.
  - connectivity_endpoints (list[ConnectivityEndpoint]) – The list of connectivity endpoints.
  - disk_encryption_properties (DiskEncryptionProperties) – The disk encryption properties.
  - min_supported_tls_version (str) – The minimal supported tls version.

class `azure.mgmt.hdinsight.models.``ClusterIdentity`(*, type=None, user_assigned_identities=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Identity for the cluster.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - principal_id (str) – The principal id of cluster identity. This property will only be provided for a system assigned identity.
  - tenant_id (str) – The tenant id associated with the cluster. This property will only be provided for a system assigned identity.

  Parameters:

  - type (str or ResourceIdentityType) – The type of identity used for the cluster. The type ‘SystemAssigned, UserAssigned’ includes both an implicitly created identity and a set of user assigned identities. Possible values include: ‘SystemAssigned’, ‘UserAssigned’, ‘SystemAssigned, UserAssigned’, ‘None’
  - user_assigned_identities (dict[str, ClusterIdentityUserAssignedIdentitiesValue]) – The list of user identities associated with the cluster. The user identity dictionary key references will be ARM resource ids in the form: ‘/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}’.

class `azure.mgmt.hdinsight.models.``ClusterIdentityUserAssignedIdentitiesValue`(**kwargs)

  Bases: `msrest.serialization.Model`

  ClusterIdentityUserAssignedIdentitiesValue.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - principal_id (str) – The principal id of user assigned identity.
  - client_id (str) – The client id of user assigned identity.

class `azure.mgmt.hdinsight.models.``ClusterListPersistedScriptActionsResult`(*, value=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The ListPersistedScriptActions operation response.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters: | value (list[RuntimeScriptAction]) – The list of Persisted Script Actions.
  Variables: | next_link (str) – The link (url) to the next page of results.

class `azure.mgmt.hdinsight.models.``ClusterListRuntimeScriptActionDetailResult`(**kwargs)

  Bases: `msrest.serialization.Model`

  The list runtime script action detail response.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - value (list[RuntimeScriptActionDetail]) – The list of persisted script action details for the cluster.
  - next_link (str) – The link (url) to the next page of results.

class `azure.mgmt.hdinsight.models.``ClusterMonitoringRequest`(*, workspace_id: str = None, primary_key: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The Operations Management Suite (OMS) parameters.

  Parameters:

  - workspace_id (str) – The Operations Management Suite (OMS) workspace ID.
  - primary_key (str) – The Operations Management Suite (OMS) workspace key.

class `azure.mgmt.hdinsight.models.``ClusterMonitoringResponse`(*, cluster_monitoring_enabled: bool = None, workspace_id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The Operations Management Suite (OMS) status response.

  Parameters:

  - cluster_monitoring_enabled (bool) – The status of the Operations Management Suite (OMS) on the HDInsight cluster.
  - workspace_id (str) – The workspace ID of the Operations Management Suite (OMS) on the HDInsight cluster.

class `azure.mgmt.hdinsight.models.``ClusterPatchParameters`(*, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The PatchCluster request parameters.

  Parameters: | tags (dict[str, str]) – The resource tags.

class `azure.mgmt.hdinsight.models.``ClusterResizeParameters`(*, target_instance_count: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The Resize Cluster request parameters.

  Parameters: | target_instance_count (int) – The target instance count for the operation.

class `azure.mgmt.hdinsight.models.``ComputeProfile`(*, roles=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Describes the compute profile.

  Parameters: | roles (list[Role]) – The list of roles in the cluster.

class `azure.mgmt.hdinsight.models.``ConnectivityEndpoint`(*, name: str = None, protocol: str = None, location: str = None, port: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The connectivity properties.

  Parameters:

  - name (str) – The name of the endpoint.
  - protocol (str) – The protocol of the endpoint.
  - location (str) – The location of the endpoint.
  - port (int) – The port to connect to.

class `azure.mgmt.hdinsight.models.``DataDisksGroups`(*, disks_per_node: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The data disks groups for the role.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters: | disks_per_node (int) – The number of disks per node.

  Variables:

  - storage_account_type (str) – ReadOnly. The storage account type. Do not set this value.
  - disk_size_gb (int) – ReadOnly. The DiskSize in GB. Do not set this value.

class `azure.mgmt.hdinsight.models.``DiskBillingMeters`(*, disk_rp_meter: str = None, sku: str = None, tier=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The disk billing meters.

  Parameters:

  - disk_rp_meter (str) – The managed disk meter guid.
  - sku (str) – The managed disk billing sku, P30 or S30.
  - tier (str or Tier) – The managed disk billing tier, Standard or Premium. Possible values include: ‘Standard’, ‘Premium’

class `azure.mgmt.hdinsight.models.``DiskEncryptionProperties`(*, vault_uri: str = None, key_name: str = None, key_version: str = None, encryption_algorithm=None, msi_resource_id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The disk encryption properties.

  Parameters:

  - vault_uri (str) – Base key vault URI where the customers key is located eg. https://myvault.vault.azure.net
  - key_name (str) – Key name that is used for enabling disk encryption.
  - key_version (str) – Specific key version that is used for enabling disk encryption.
  - encryption_algorithm (str or JsonWebKeyEncryptionAlgorithm) – Algorithm identifier for encryption, default RSA-OAEP. Possible values include: ‘RSA-OAEP’, ‘RSA-OAEP-256’, ‘RSA1_5’
  - msi_resource_id (str) – Resource ID of Managed Identity that is used to access the key vault.

class `azure.mgmt.hdinsight.models.``ErrorResponse`(*, code: str = None, message: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Describes the format of Error response.

  Parameters:

  - code (str) – Error code
  - message (str) – Error message indicating why the operation failed.

class `azure.mgmt.hdinsight.models.``Errors`(*, code: str = None, message: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The error message associated with the cluster creation.

  Parameters:

  - code (str) – The error code.
  - message (str) – The error message.

class `azure.mgmt.hdinsight.models.``ExecuteScriptActionParameters`(*, persist_on_success: bool, script_actions=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters for the script actions to execute on a running cluster.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - script_actions (list[RuntimeScriptAction]) – The list of run time script actions.
  - persist_on_success (bool) – Required. Gets or sets if the scripts needs to be persisted.

class `azure.mgmt.hdinsight.models.``Extension`(*, workspace_id: str = None, primary_key: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Cluster monitoring extensions.

  Parameters:

  - workspace_id (str) – The workspace ID for the cluster monitoring extension.
  - primary_key (str) – The certificate for the cluster monitoring extensions.

class `azure.mgmt.hdinsight.models.``GatewaySettings`(**kwargs)

  Bases: `msrest.serialization.Model`

  Gateway settings.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - is_credential_enabled (str) – Indicates whether or not the gateway settings based authorization is enabled.
  - user_name (str) – The gateway settings user name.
  - password (str) – The gateway settings user password.

class `azure.mgmt.hdinsight.models.``HardwareProfile`(*, vm_size: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The hardware profile.

  Parameters: | vm_size (str) – The size of the VM

class `azure.mgmt.hdinsight.models.``KafkaRestProperties`(*, client_group_info=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The kafka rest proxy configuration which contains AAD security group information.

  Parameters: | client_group_info (ClientGroupInfo) – The information of AAD security group.

class `azure.mgmt.hdinsight.models.``LinuxOperatingSystemProfile`(*, username: str = None, password: str = None, ssh_profile=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The ssh username, password, and ssh public key.

  Parameters:

  - username (str) – The username.
  - password (str) – The password.
  - ssh_profile (SshProfile) – The SSH profile.

class `azure.mgmt.hdinsight.models.``LocalizedName`(*, value: str = None, localized_value: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The details about the localizable name of a type of usage.

  Parameters:

  - value (str) – The name of the used resource.
  - localized_value (str) – The localized name of the used resource.

class `azure.mgmt.hdinsight.models.``Operation`(*, name: str = None, display=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The HDInsight REST API operation.

  Parameters:

  - name (str) – The operation name: {provider}/{resource}/{operation}
  - display (OperationDisplay) – The object that represents the operation.

class `azure.mgmt.hdinsight.models.``OperationDisplay`(*, provider: str = None, resource: str = None, operation: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The object that represents the operation.

  Parameters:

  - provider (str) – The service provider: Microsoft.HDInsight
  - resource (str) – The resource on which the operation is performed: Cluster, Applications, etc.
  - operation (str) – The operation type: read, write, delete, etc.

class `azure.mgmt.hdinsight.models.``OperationResource`(*, status=None, error=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The azure async operation response.

  Parameters:

  - status (str or AsyncOperationState) – The async operation state. Possible values include: ‘InProgress’, ‘Succeeded’, ‘Failed’
  - error (Errors) – The operation error information.

class `azure.mgmt.hdinsight.models.``OsProfile`(*, linux_operating_system_profile=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The Linux operation systems profile.

  Parameters: | linux_operating_system_profile (LinuxOperatingSystemProfile) – The Linux OS profile.

class `azure.mgmt.hdinsight.models.``ProxyResource`(**kwargs)

  Bases: `azure.mgmt.hdinsight.models._models_py3.Resource`

  The resource model definition for a ARM proxy resource. It will have everything other than required location and tags.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource.
  - name (str) – The name of the resource
  - type (str) – The type of the resource.

class `azure.mgmt.hdinsight.models.``QuotaCapability`(*, cores_used: int = None, max_cores_allowed: int = None, regional_quotas=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The regional quota capability.

  Parameters:

  - cores_used (long) – The number of cores used in the subscription.
  - max_cores_allowed (long) – The number of cores that the subscription allowed.
  - regional_quotas (list[RegionalQuotaCapability]) – The list of region quota capabilities.

class `azure.mgmt.hdinsight.models.``QuotaInfo`(*, cores_used: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The quota properties for the cluster.

  Parameters: | cores_used (int) – The cores used by the cluster.

class `azure.mgmt.hdinsight.models.``RegionalQuotaCapability`(*, region_name: str = None, cores_used: int = None, cores_available: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The regional quota capacity.

  Parameters:

  - region_name (str) – The region name.
  - cores_used (long) – The number of cores used in the region.
  - cores_available (long) – The number of cores available in the region.

class `azure.mgmt.hdinsight.models.``RegionsCapability`(*, available=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The regions capability.

  Parameters: | available (list[str]) – The list of region capabilities.

class `azure.mgmt.hdinsight.models.``Resource`(**kwargs)

  Bases: `msrest.serialization.Model`

  The core properties of ARM resources.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource.
  - name (str) – The name of the resource
  - type (str) – The type of the resource.

class `azure.mgmt.hdinsight.models.``Role`(*, name: str = None, min_instance_count: int = None, target_instance_count: int = None, autoscale_configuration=None, hardware_profile=None, os_profile=None, virtual_network_profile=None, data_disks_groups=None, script_actions=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Describes a role on the cluster.

  Parameters:

  - name (str) – The name of the role.
  - min_instance_count (int) – The minimum instance count of the cluster.
  - target_instance_count (int) – The instance count of the cluster.
  - autoscale_configuration (Autoscale) – The autoscale configurations.
  - hardware_profile (HardwareProfile) – The hardware profile.
  - os_profile (OsProfile) – The operating system profile.
  - virtual_network_profile (VirtualNetworkProfile) – The virtual network profile.
  - data_disks_groups (list[DataDisksGroups]) – The data disks groups for the role.
  - script_actions (list[ScriptAction]) – The list of script actions on the role.

class `azure.mgmt.hdinsight.models.``RuntimeScriptAction`(*, name: str, uri: str, roles, parameters: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Describes a script action on a running cluster.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str) – Required. The name of the script action.
  - uri (str) – Required. The URI to the script.
  - parameters (str) – The parameters for the script
  - roles (list[str]) – Required. The list of roles where script will be executed.

  Variables: | application_name (str) – The application name of the script action, if any.

class `azure.mgmt.hdinsight.models.``RuntimeScriptActionDetail`(*, name: str, uri: str, roles, parameters: str = None, **kwargs)

  Bases: `azure.mgmt.hdinsight.models._models_py3.RuntimeScriptAction`

  The execution details of a script action.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str) – Required. The name of the script action.
  - uri (str) – Required. The URI to the script.
  - parameters (str) – The parameters for the script
  - roles (list[str]) – Required. The list of roles where script will be executed.

  Variables:

  - application_name (str) – The application name of the script action, if any.
  - script_execution_id (long) – The execution id of the script action.
  - start_time (str) – The start time of script action execution.
  - end_time (str) – The end time of script action execution.
  - status (str) – The current execution status of the script action.
  - operation (str) – The reason why the script action was executed.
  - execution_summary (list[ScriptActionExecutionSummary]) – The summary of script action execution result.
  - debug_information (str) – The script action execution debug information.

class `azure.mgmt.hdinsight.models.``ScriptAction`(*, name: str, uri: str, parameters: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Describes a script action on role on the cluster.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str) – Required. The name of the script action.
  - uri (str) – Required. The URI to the script.
  - parameters (str) – Required. The parameters for the script provided.

class `azure.mgmt.hdinsight.models.``ScriptActionExecutionSummary`(**kwargs)

  Bases: `msrest.serialization.Model`

  The execution summary of a script action.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - status (str) – The status of script action execution.
  - instance_count (int) – The instance count for a given script action execution status.

class `azure.mgmt.hdinsight.models.``ScriptActionPersistedGetResponseSpec`(*, name: str = None, uri: str = None, parameters: str = None, roles=None, application_name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The persisted script action for cluster.

  Parameters:

  - name (str) – The name of script action.
  - uri (str) – The URI to the script.
  - parameters (str) – The parameters for the script provided.
  - roles (list[str]) – The list of roles where script will be executed.
  - application_name (str) – The application name for the script action.

class `azure.mgmt.hdinsight.models.``SecurityProfile`(*, directory_type=None, domain: str = None, organizational_unit_dn: str = None, ldaps_urls=None, domain_username: str = None, domain_user_password: str = None, cluster_users_group_dns=None, aadds_resource_id: str = None, msi_resource_id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The security profile which contains Ssh public key for the HDInsight cluster.

  Parameters:

  - directory_type (str or DirectoryType) – The directory type. Possible values include: ‘ActiveDirectory’
  - domain (str) – The organization’s active directory domain.
  - organizational_unit_dn (str) – The organizational unit within the Active Directory to place the cluster and service accounts.
  - ldaps_urls (list[str]) – The LDAPS protocol URLs to communicate with the Active Directory.
  - domain_username (str) – The domain user account that will have admin privileges on the cluster.
  - domain_user_password (str) – The domain admin password.
  - cluster_users_group_dns (list[str]) – Optional. The Distinguished Names for cluster user groups
  - aadds_resource_id (str) – The resource ID of the user’s Azure Active Directory Domain Service.
  - msi_resource_id (str) – User assigned identity that has permissions to read and create cluster-related artifacts in the user’s AADDS.

class `azure.mgmt.hdinsight.models.``SshProfile`(*, public_keys=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The list of SSH public keys.

  Parameters: | public_keys (list[SshPublicKey]) – The list of SSH public keys.

class `azure.mgmt.hdinsight.models.``SshPublicKey`(*, certificate_data: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The SSH public key for the cluster nodes.

  Parameters: | certificate_data (str) – The certificate for SSH.

class `azure.mgmt.hdinsight.models.``StorageAccount`(*, name: str = None, is_default: bool = None, container: str = None, file_system: str = None, key: str = None, resource_id: str = None, msi_resource_id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The storage Account.

  Parameters:

  - name (str) – The name of the storage account.
  - is_default (bool) – Whether or not the storage account is the default storage account.
  - container (str) – The container in the storage account, only to be specified for WASB storage accounts.
  - file_system (str) – The filesystem, only to be specified for Azure Data Lake Storage Gen 2.
  - key (str) – The storage account access key.
  - resource_id (str) – The resource ID of storage account, only to be specified for Azure Data Lake Storage Gen 2.
  - msi_resource_id (str) – The managed identity (MSI) that is allowed to access the storage account, only to be specified for Azure Data Lake Storage Gen 2.

class `azure.mgmt.hdinsight.models.``StorageProfile`(*, storageaccounts=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The storage profile.

  Parameters: | storageaccounts (list[StorageAccount]) – The list of storage accounts in the cluster.

class `azure.mgmt.hdinsight.models.``TrackedResource`(*, location: str = None, tags=None, **kwargs)

  Bases: `azure.mgmt.hdinsight.models._models_py3.Resource`

  The resource model definition for a ARM tracked top level resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource.
  - name (str) – The name of the resource
  - type (str) – The type of the resource.

  Parameters:

  - location (str) – The Azure Region where the resource lives
  - tags (dict[str, str]) – Resource tags.

class `azure.mgmt.hdinsight.models.``UpdateGatewaySettingsParameters`(*, is_credential_enabled: bool = True, user_name: str = None, password: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The update gateway settings request parameters.

  Parameters:

  - is_credential_enabled (bool) – Indicates whether or not the gateway settings based authorization is enabled. Default value: True .
  - user_name (str) – The gateway settings user name.
  - password (str) – The gateway settings user password.

class `azure.mgmt.hdinsight.models.``Usage`(*, unit: str = None, current_value: int = None, limit: int = None, name=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The details about the usage of a particular limited resource.

  Parameters:

  - unit (str) – The type of measurement for usage.
  - current_value (int) – The current usage.
  - limit (int) – The maximum allowed usage.
  - name (LocalizedName) – The details about the localizable name of the used resource.

class `azure.mgmt.hdinsight.models.``UsagesListResult`(*, value=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The response for the operation to get regional usages for a subscription.

  Parameters: | value (list[Usage]) – The list of usages.

class `azure.mgmt.hdinsight.models.``VersionsCapability`(*, available=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The version capability.

  Parameters: | available (list[VersionSpec]) – The list of version capabilities.

class `azure.mgmt.hdinsight.models.``VersionSpec`(*, friendly_name: str = None, display_name: str = None, is_default: str = None, component_versions=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The version properties.

  Parameters:

  - friendly_name (str) – The friendly name
  - display_name (str) – The display name
  - is_default (str) – Whether or not the version is the default version.
  - component_versions (dict[str, str]) – The component version property.

class `azure.mgmt.hdinsight.models.``VirtualNetworkProfile`(*, id: str = None, subnet: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The virtual network properties.

  Parameters:

  - id (str) – The ID of the virtual network.
  - subnet (str) – The name of the subnet.

class `azure.mgmt.hdinsight.models.``VmSizeCompatibilityFilter`(*, filter_mode: str = None, regions=None, cluster_flavors=None, node_types=None, cluster_versions=None, vmsizes=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The virtual machine type compatibility filter.

  Parameters:

  - filter_mode (str) – The mode for the filter.
  - regions (list[str]) – The list of regions.
  - cluster_flavors (list[str]) – The list of cluster types available.
  - node_types (list[str]) – The list of node types.
  - cluster_versions (list[str]) – The list of cluster versions.
  - vmsizes (list[str]) – The list of virtual machine sizes.

class `azure.mgmt.hdinsight.models.``VmSizeCompatibilityFilterV2`(*, filter_mode=None, regions=None, cluster_flavors=None, node_types=None, cluster_versions=None, os_type=None, vm_sizes=None, **kwargs)

  Bases: `msrest.serialization.Model`

  This class represent a single filter object that defines a multidimensional set. The dimensions of this set are Regions, ClusterFlavors, NodeTypes and ClusterVersions. The constraint should be defined based on the following: FilterMode (Exclude vs Include), VMSizes (the vm sizes in affect of exclusion/inclusion) and the ordering of the Filters. Later filters override previous settings if conflicted.

  Parameters:

  - filter_mode (str or FilterMode) – The filtering mode. Effectively this can enabling or disabling the VM sizes in a particular set. Possible values include: ‘Exclude’, ‘Include’
  - regions (list[str]) – The list of regions under the effect of the filter.
  - cluster_flavors (list[str]) – The list of cluster flavors under the effect of the filter.
  - node_types (list[str]) – The list of node types affected by the filter.
  - cluster_versions (list[str]) – The list of cluster versions affected in Major.Minor format.
  - os_type (list[str or OSType]) – The OSType affected, Windows or Linux.
  - vm_sizes (list[str]) – The list of virtual machine sizes to include or exclude.

class `azure.mgmt.hdinsight.models.``VmSizesCapability`(*, available=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The virtual machine sizes capability.

  Parameters: | available (list[str]) – The list of virtual machine size capabilities.

class `azure.mgmt.hdinsight.models.``ClusterPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Cluster` object

class `azure.mgmt.hdinsight.models.``ApplicationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Application` object

class `azure.mgmt.hdinsight.models.``RuntimeScriptActionDetailPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `RuntimeScriptActionDetail` object

class `azure.mgmt.hdinsight.models.``OperationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Operation` object

class `azure.mgmt.hdinsight.models.``DirectoryType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `active_directory` = 'ActiveDirectory'

class `azure.mgmt.hdinsight.models.``DaysOfWeek`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `friday` = 'Friday'
  `monday` = 'Monday'
  `saturday` = 'Saturday'
  `sunday` = 'Sunday'
  `thursday` = 'Thursday'
  `tuesday` = 'Tuesday'
  `wednesday` = 'Wednesday'

class `azure.mgmt.hdinsight.models.``OSType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `linux` = 'Linux'
  `windows` = 'Windows'

class `azure.mgmt.hdinsight.models.``Tier`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `premium` = 'Premium'
  `standard` = 'Standard'

class `azure.mgmt.hdinsight.models.``JsonWebKeyEncryptionAlgorithm`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `rsa1_5` = 'RSA1_5'
  `rsa_oaep` = 'RSA-OAEP'
  `rsa_oaep_256` = 'RSA-OAEP-256'

class `azure.mgmt.hdinsight.models.``ResourceIdentityType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `none` = 'None'
  `system_assigned` = 'SystemAssigned'
  `system_assigned_user_assigned` = 'SystemAssigned, UserAssigned'
  `user_assigned` = 'UserAssigned'

class `azure.mgmt.hdinsight.models.``HDInsightClusterProvisioningState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `canceled` = 'Canceled'
  `deleting` = 'Deleting'
  `failed` = 'Failed'
  `in_progress` = 'InProgress'
  `succeeded` = 'Succeeded'

class `azure.mgmt.hdinsight.models.``AsyncOperationState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `failed` = 'Failed'
  `in_progress` = 'InProgress'
  `succeeded` = 'Succeeded'

class `azure.mgmt.hdinsight.models.``FilterMode`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `exclude` = 'Exclude'
  `include` = 'Include'